package com.cirmuller.maidaddition.network;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.cirmuller.maidaddition.network.MaidChunkLoadingMessage;
import java.util.Optional;
import net.minecraft.resources.ResourceLocation;
import net.minecraftforge.network.NetworkDirection;
import net.minecraftforge.network.NetworkRegistry;
import net.minecraftforge.network.simple.SimpleChannel;

public class NetWorkHandler {
  public static final String VERSION = "1.0.0";
  
  public static SimpleChannel CHANNEL;
  
  static {
    CHANNEL = NetworkRegistry.newSimpleChannel(new ResourceLocation("maidaddition", "message_network"), () -> "1.0.0", it -> it.equals("1.0.0"), it -> it.equals("1.0.0"));
  }
  
  private static int ID = 0;
  
  private static int nextID() {
    return ID++;
  }
  
  public static void init() {
    CHANNEL.registerMessage(nextID(), MaidChunkLoadingMessage.class, MaidChunkLoadingMessage::encode, MaidChunkLoadingMessage::decode, MaidChunkLoadingMessage::handler, 
        Optional.of(NetworkDirection.PLAY_TO_SERVER));
  }
}
